# AP4_SyntheticSampleTable Class Reference

`#include <Ap4SyntheticSampleTable.h>`

Inheritance diagram for AP4_SyntheticSampleTable:

List of all members.

## Public Member Functions
| AP4_SyntheticSampleTable (AP4_Cardinal chunk_size=AP4_SYNTHETIC_SAMPLE_TABLE_DEFAULT_CHUNK_SIZE)
virtual | ~AP4_SyntheticSampleTable ()
virtual AP4_Result | GetSample (AP4_Ordinal index, AP4_Sample &sample)
virtual AP4_Cardinal | GetSampleCount ()
virtual AP4_Result | GetSampleChunkPosition (AP4_Ordinal sample_index, AP4_Ordinal &chunk_index, AP4_Ordinal &position_in_chunk)
virtual AP4_Cardinal | GetSampleDescriptionCount ()
virtual AP4_SampleDescription * | GetSampleDescription (AP4_Ordinal index)
virtual AP4_Result | GetSampleIndexForTimeStamp (AP4_TimeStamp ts, AP4_Ordinal &index)
virtual AP4_Result | AddSampleDescription (AP4_SampleDescription *description)
virtual AP4_Result | AddSample (AP4_ByteStream &data_stream, AP4_Position offset, AP4_Size size, AP4_Ordinal description_index, AP4_TimeStamp cts=0, AP4_TimeStamp dts=0, bool sync=false)

## Detailed Description

Definition at line 54 of file Ap4SyntheticSampleTable.h.

## Constructor & Destructor Documentation

AP4_SyntheticSampleTable::AP4_SyntheticSampleTable | ( | AP4_Cardinal | chunk_size = `AP4_SYNTHETIC_SAMPLE_TABLE_DEFAULT_CHUNK_SIZE` | ) |

virtual AP4_SyntheticSampleTable::~AP4_SyntheticSampleTable | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual AP4_Result AP4_SyntheticSampleTable::GetSample | ( | AP4_Ordinal | index,
|  | AP4_Sample & | sample |
| ) |  |  | `[virtual]`

Implements AP4_SampleTable.

virtual AP4_Cardinal AP4_SyntheticSampleTable::GetSampleCount | ( |  | ) | `[virtual]`

Implements AP4_SampleTable.

virtual AP4_Result AP4_SyntheticSampleTable::GetSampleChunkPosition | ( | AP4_Ordinal | sample_index,
|  | AP4_Ordinal & | chunk_index,
|  | AP4_Ordinal & | position_in_chunk |
| ) |  |  | `[virtual]`

Implements AP4_SampleTable.

virtual AP4_Cardinal AP4_SyntheticSampleTable::GetSampleDescriptionCount | ( |  | ) | `[virtual]`

Implements AP4_SampleTable.

virtual AP4_SampleDescription* AP4_SyntheticSampleTable::GetSampleDescription | ( | AP4_Ordinal | index | ) | `[virtual]`

Implements AP4_SampleTable.

virtual AP4_Result AP4_SyntheticSampleTable::GetSampleIndexForTimeStamp | ( | AP4_TimeStamp | ts,
|  | AP4_Ordinal & | index |
| ) |  |  | `[virtual]`

Implements AP4_SampleTable.

virtual AP4_Result AP4_SyntheticSampleTable::AddSampleDescription | ( | AP4_SampleDescription * | description | ) | `[virtual]`

virtual AP4_Result AP4_SyntheticSampleTable::AddSample | ( | AP4_ByteStream & | data_stream,
|  | AP4_Position | offset,
|  | AP4_Size | size,
|  | AP4_Ordinal | description_index,
|  | AP4_TimeStamp | cts = `0`,
|  | AP4_TimeStamp | dts = `0`,
|  | bool | sync = `false` |
| ) |  |  | `[virtual]`

The documentation for this class was generated from the following file:

- Ap4SyntheticSampleTable.h